<?php
if(!defined('OSTADMININC') || !$thisstaff || !$thisstaff->isAdmin()) die('Access Denied');
$info=array();
$qstr='';
if($resolution && $_REQUEST['a']!='add') {
    $title='Update Resolution';
    $action='update';
    $submit_text='Save Changes';
    $info=$resolution->getInfo();
    $info['id']=$resolution->getId();
    $qstr.='&id='.$resolution->getId();
} else {
    $title='Add New Resolution';
    $action='create';
    $submit_text='Add Resolution';
    $info['isactive']=isset($info['isactive'])?$info['isactive']:1;
    $qstr.='&a='.$_REQUEST['a'];
}
$info=Format::htmlchars(($errors && $_POST)?$_POST:$info);
?>
<form action="resolutions.php?<?php echo $qstr; ?>" method="post" id="save">
 <?php csrf_token(); ?>
 <input type="hidden" name="do" value="<?php echo $action; ?>">
 <input type="hidden" name="a" value="<?php echo Format::htmlchars($_REQUEST['a']); ?>">
 <input type="hidden" name="id" value="<?php echo $info['id']; ?>">
 <h2>Resolution</h2>
 <table class="form_table" width="940" border="0" cellspacing="0" cellpadding="2">
    <thead>
        <tr>
            <th colspan="2">
                <h4><?php echo $title; ?></h4>
                <em>Resolution Information</em>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td width="180" class="required">
               Resolution:
            </td>
            <td>
                <input type="text" size="45" name="resolution" value="<?php echo $info['resolution']; ?>">
                &nbsp;<span class="error">*&nbsp;<?php echo $errors['resolution']; ?></span>
            </td>
        </tr>
	<tr>
            <td width="180">
               Resolution Description:
            </td>
            <td>
                <input type="text" size="45" name="resolution_desc" value="<?php echo $info['resolution_desc']; ?>">
            </td>
        </tr>
	<tr>
            <td width="180" class="required">
                <?php echo __('Status');?>:
            </td>
            <td>
                <input type="radio" name="IsActive" value="1" <?php echo $info['IsActive']?'checked="checked"':''; ?>><?php echo __('Active'); ?>
                <input type="radio" name="IsActive" value="0" <?php echo !$info['IsActive']?'checked="checked"':''; ?>><?php echo __('Disabled'); ?>
                &nbsp;<span class="error">*&nbsp;</span>
            </td>
        </tr>
    </tbody>
</table>
<p style="padding-left:225px;">
    <input type="submit" name="submit" value="<?php echo $submit_text; ?>">
    <input type="reset"  name="reset"  value="Reset">
    <input type="button" name="cancel" value="Cancel" onclick='window.location.href="helptopics.php"'>
</p>
</form>
