<?php
if(!defined('OSTADMININC') || !$thisstaff->isAdmin()) die('Access Denied');

$qstr='';

$sql='SELECT resolution_id,resolution as name,resolution_desc as description, IsActive FROM '.TICKET_RESOLUTION_TABLE.' resolution ';
$sql.=' WHERE 1';
$sortOptions=array('name'=>'name');
$orderWays=array('DESC'=>'DESC','ASC'=>'ASC');
$sort=($_REQUEST['sort'] && $sortOptions[strtolower($_REQUEST['sort'])])?strtolower($_REQUEST['sort']):'name';
//Sorting options...
if($sort && $sortOptions[$sort]) {
    $order_column =$sortOptions[$sort];
}
$order_column=$order_column?$order_column:'resolution';

if($_REQUEST['order'] && $orderWays[strtoupper($_REQUEST['order'])]) {
    $order=$orderWays[strtoupper($_REQUEST['order'])];
}
$order=$order?$order:'ASC';

if($order_column && strpos($order_column,',')){
    $order_column=str_replace(','," $order,",$order_column);
}
$x=$sort.'_sort';
$$x=' class="'.strtolower($order).'" ';
$order_by="$order_column $order ";

$total=db_count('SELECT count(*) FROM '.TICKET_RESOLUTION_TABLE.' resolution ');
$page=($_GET['p'] && is_numeric($_GET['p']))?$_GET['p']:1;
$pageNav=new Pagenate($total, $page, PAGE_LIMIT);
$pageNav->setURL('resolutions.php',$qstr.'&sort='.urlencode($_REQUEST['sort']).'&order='.urlencode($_REQUEST['order']));
//Ok..lets roll...create the actual query
$qstr.='&order='.($order=='DESC'?'ASC':'DESC');
$query="$sql GROUP BY resolution ORDER BY $order_by LIMIT ".$pageNav->getStart().",".$pageNav->getLimit();
$res=db_query($query);
if($res && ($num=db_num_rows($res)))
    $showing=$pageNav->showing().__(' resolutions');
else
    $showing=__('No resolutions found!');

?>
<div style="width:700;padding-top:5px; float:left;">
 <h2>Resolutions</h2>
 </div>
<div style="float:right;text-align:right;padding-top:5px;padding-right:5px;">
    <b><a href="resolutions.php?a=add" class="Icon newHelpTopic">Add New Resolution</a></b></div>
<div class="clear"></div>
<form action="resolutions.php" method="POST" name="resolutions">
 <?php csrf_token(); ?>
 <input type="hidden" name="do" value="mass_process" >
<input type="hidden" id="action" name="a" value="" >
 <table class="list" border="0" cellspacing="1" cellpadding="0" width="940">
    <caption><?php echo $showing; ?></caption>
    <thead>
        <tr>
	    <th width="7" style="height:20px;">&nbsp;</th>
            <th width="320"><a <?php echo $name_sort; ?> href="resolutions.php?<?php echo $qstr; ?>&sort=name">Resolution</a></th>
            <th nowrap><a href="resolutions.php?<?php echo $qstr; ?>&sort=updated">Resolution Description</a></th>
	    <th width="80"><?php echo __('Status'); ?></th>
        </tr>
    </thead>
    <tbody>
    <?php
        $total=0;
        $ids=($errors && is_array($_POST['ids']))?$_POST['ids']:null;
        if($res && db_num_rows($res)):
            while ($row = db_fetch_array($res)) {
                $sel=false;
                if($ids && in_array($row['resolution_id'],$ids))
                    $sel=true;
                ?>
            <tr id="<?php echo $row['resolution_id']; ?>">
		<td width=7px>
		    <input type="checkbox" class="ckb" name="ids[]" value="<?php echo $row['resolution_id']; ?>"
                        <?php echo $sel?'checked="checked"':''; ?>>
                </td>
                <td><a href="resolutions.php?id=<?php echo $row['resolution_id']; ?>"><?php echo $row['name']; ?></a>&nbsp;</td>
                <td><?php echo $row['description']; ?></td>
		<td><?php echo $row['IsActive']?__('Active'):'<b>'.__('Disabled').'</b>'; ?></td>
            </tr>
            <?php
            } //end of while.
        endif; ?>

</table>
<p class="centered" id="actions">
    <button class="button" type="submit" name="enable" value="Enable" ><?php echo __('Enable'); ?></button>
    <button class="button" type="submit" name="disable" value="Disable"><?php echo __('Disable'); ?></button>
    <button class="button" type="submit" name="delete" value="Delete"><?php echo __('Delete'); ?></button>
</p>
</form>

<div style="display:none;" class="dialog" id="confirm-action">
    <h3><?php echo __('Please Confirm');?></h3>
    <a class="close" href=""><i class="icon-remove-circle"></i></a>
    <hr/>
    <p class="confirm-action" style="display:none;" id="enable-confirm">
        <?php echo sprintf(__('Are you sure want to <b>enable</b> %s?'),
            _N('selected resolution', 'selected resolutions', 2));?>
    </p>
    <p class="confirm-action" style="display:none;" id="disable-confirm">
        <?php echo sprintf(__('Are you sure want to <b>disable</b> %s?'),
            _N('selected resolution', 'selected reoslutions', 2));?>
    </p>
    <p class="confirm-action" style="display:none;" id="delete-confirm">
        <font color="red"><strong><?php echo sprintf(__('Are you sure you want to DELETE %s?'),
            _N('selected resolution', 'selected resolutions', 2));?></strong></font>
        <br><br><?php echo __('Deleted data CANNOT be recovered.');?>
	<br><br><?php echo __('Deleting a resolution that is set to a ticket will not be allowed.  Mark inactive instead');?>
    </p>
    <div><?php echo __('Please confirm to continue.');?></div>
    <hr style="margin-top:1em"/>
    <p class="full-width">
        <span class="buttons pull-left">
            <input type="button" value="<?php echo __('No, Cancel');?>" class="close">
        </span>
        <span class="buttons pull-right">
            <input type="button" value="<?php echo __('Yes, Do it!');?>" class="confirm">
        </span>
     </p>
    <div class="clear"></div>
</div>



